Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.constants
Interface DocumentEntryConstants

    public interface DocumentEntryConstants

IHE XDS DocumentEntry Metadata attribute names and related constants

Author:
  Sarah Knoop
See Also:
  IHE Technical Framework

Field Summary
`static java.lang.String` | `AUTHOR_INSTITUTION` Slot name for authorInstitution
`static java.lang.String` | `AUTHOR_PERSON` Slot name for authorPerson
`static java.lang.String` | `AUTHOR_ROLE` Slot name for authorRole
`static java.lang.String` | `AUTHOR_SPECIALITY` Slot name for authorSpecialty
`static java.lang.String` | `CODING_SCHEME` Slot name for code scheme slots in Classificaitons
`static java.lang.String` | `CREATION_TIME` Slot name for creationTime
`static java.lang.String` | `HASH` Slot name for hash
`static java.lang.String` | `LANGUAGE_CODE` Slot name for languageCode
`static java.lang.String` | `LEGAL_AUTHENTICATOR` Slot name for legalAuthenticator(s)
`static java.lang.String` | `PATIENT_ID` ExternalIdentifier name for patientId
`static java.lang.String` | `PID1_ID` Identifier for field PID-1
`static java.lang.String` | `PID10_ID` Identifier for field PID-10
`static java.lang.String` | `PID11_ID` Identifier for field PID-11
`static java.lang.String` | `PID12_ID` Identifier for field PID-12
`static java.lang.String` | `PID13_ID` Identifier for field PID-13
`static java.lang.String` | `PID14_ID` Identifier for field PID-14
`static java.lang.String` | `PID15_ID` Identifier for field PID-15
`static java.lang.String` | `PID16_ID` Identifier for field PID-16
`static java.lang.String` | `PID17_ID` Identifier for field PID-17
`static java.lang.String` | `PID18_ID` Identifier for field PID-18
`static java.lang.String` | `PID19_ID` Identifier for field PID-19
`static java.lang.String` | `PID2_ID` Identifier for field PID-2
`static java.lang.String` | `PID20_ID` Identifier for field PID-20
`static java.lang.String` | `PID21_ID` Identifier for field PID-21
`static java.lang.String` | `PID22_ID` Identifier for field PID-22
`static java.lang.String` | `PID23_ID` Identifier for field PID-23
`static java.lang.String` | `PID24_ID` Identifier for field PID-24
`static java.lang.String` | `PID25_ID` Identifier for field PID-25
`static java.lang.String` | `PID26_ID` Identifier for field PID-26
`static java.lang.String` | `PID27_ID` Identifier for field PID-27
`static java.lang.String` | `PID28_ID` Identifier for field PID-28
`static java.lang.String` | `PID29_ID` Identifier for field PID-29
`static java.lang.String` | `PID3_ID` Identifier for field PID-3
`static java.lang.String` | `PID30_ID` Identifier for field PID-30
`static java.lang.String` | `PID31_ID` Identifier for field PID-31
`static java.lang.String` | `PID32_ID` Identifier for field PID-32
`static java.lang.String` | `PID33_ID` Identifier for field PID-33
`static java.lang.String` | `PID34_ID` Identifier for field PID-34
`static java.lang.String` | `PID35_ID` Identifier for field PID-35
`static java.lang.String` | `PID36_ID` Identifier for field PID-36
`static java.lang.String` | `PID37_ID` Identifier for field PID-37
`static java.lang.String` | `PID38_ID` Identifier for field PID-38
`static java.lang.String` | `PID39_ID` Identifier for field PID-39
`static java.lang.String` | `PID4_ID` Identifier for field PID-4
`static java.lang.String` | `PID5_ID` Identifier for field PID-5
`static java.lang.String` | `PID6_ID` Identifier for field PID-6
`static java.lang.String` | `PID7_ID` Identifier for field PID-7
`static java.lang.String` | `PID8_ID` Identifier for field PID-8
`static java.lang.String` | `PID9_ID` Identifier for field PID-9
`static java.lang.String` | `SERVICE_START_TIME` Slot name for serviceStartTime
`static java.lang.String` | `SERVICE_STOP_TIME` Slot name for serviceStopTime
`static java.lang.String` | `SIZE` Slot name for size
`static java.lang.String` | `SOURCE_PATIENT_ID` Slot name for sourcePatientId
`static java.lang.String` | `SOURCE_PATIENT_INFO` Slot name for sourcePatientInfo
`static java.lang.String` | `UNIQUE_ID` ExternalIdentifier name for uniqueId
`static java.lang.String` | `URI` Slot name for URI

Field Detail

### AUTHOR_INSTITUTION

    static final java.lang.String AUTHOR_INSTITUTION

  Slot name for authorInstitution

  See Also:
    Constant Field Values

### AUTHOR_PERSON

    static final java.lang.String AUTHOR_PERSON

  Slot name for authorPerson

  See Also:
    Constant Field Values

### AUTHOR_ROLE

    static final java.lang.String AUTHOR_ROLE

  Slot name for authorRole

  See Also:
    Constant Field Values

### AUTHOR_SPECIALITY

    static final java.lang.String AUTHOR_SPECIALITY

  Slot name for authorSpecialty

  See Also:
    Constant Field Values

### CREATION_TIME

    static final java.lang.String CREATION_TIME

  Slot name for creationTime

  See Also:
    Constant Field Values

### HASH

    static final java.lang.String HASH

  Slot name for hash

  See Also:
    Constant Field Values

### LANGUAGE_CODE

    static final java.lang.String LANGUAGE_CODE

  Slot name for languageCode

  See Also:
    Constant Field Values

### LEGAL_AUTHENTICATOR

    static final java.lang.String LEGAL_AUTHENTICATOR

  Slot name for legalAuthenticator(s)

  See Also:
    Constant Field Values

### PATIENT_ID

    static final java.lang.String PATIENT_ID

  ExternalIdentifier name for patientId

  See Also:
    Constant Field Values

### SERVICE_START_TIME

    static final java.lang.String SERVICE_START_TIME

  Slot name for serviceStartTime

  See Also:
    Constant Field Values

### SERVICE_STOP_TIME

    static final java.lang.String SERVICE_STOP_TIME

  Slot name for serviceStopTime

  See Also:
    Constant Field Values

### SIZE

    static final java.lang.String SIZE

  Slot name for size

  See Also:
    Constant Field Values

### SOURCE_PATIENT_ID

    static final java.lang.String SOURCE_PATIENT_ID

  Slot name for sourcePatientId

  See Also:
    Constant Field Values

### SOURCE_PATIENT_INFO

    static final java.lang.String SOURCE_PATIENT_INFO

  Slot name for sourcePatientInfo

  See Also:
    Constant Field Values

### PID1_ID

    static final java.lang.String PID1_ID

  Identifier for field PID-1

  See Also:
    Constant Field Values

### PID2_ID

    static final java.lang.String PID2_ID

  Identifier for field PID-2

  See Also:
    Constant Field Values

### PID3_ID

    static final java.lang.String PID3_ID

  Identifier for field PID-3

  See Also:
    Constant Field Values

### PID4_ID

    static final java.lang.String PID4_ID

  Identifier for field PID-4

  See Also:
    Constant Field Values

### PID5_ID

    static final java.lang.String PID5_ID

  Identifier for field PID-5

  See Also:
    Constant Field Values

### PID6_ID

    static final java.lang.String PID6_ID

  Identifier for field PID-6

  See Also:
    Constant Field Values

### PID7_ID

    static final java.lang.String PID7_ID

  Identifier for field PID-7

  See Also:
    Constant Field Values

### PID8_ID

    static final java.lang.String PID8_ID

  Identifier for field PID-8

  See Also:
    Constant Field Values

### PID9_ID

    static final java.lang.String PID9_ID

  Identifier for field PID-9

  See Also:
    Constant Field Values

### PID10_ID

    static final java.lang.String PID10_ID

  Identifier for field PID-10

  See Also:
    Constant Field Values

### PID11_ID

    static final java.lang.String PID11_ID

  Identifier for field PID-11

  See Also:
    Constant Field Values

### PID12_ID

    static final java.lang.String PID12_ID

  Identifier for field PID-12

  See Also:
    Constant Field Values

### PID13_ID

    static final java.lang.String PID13_ID

  Identifier for field PID-13

  See Also:
    Constant Field Values

### PID14_ID

    static final java.lang.String PID14_ID

  Identifier for field PID-14

  See Also:
    Constant Field Values

### PID15_ID

    static final java.lang.String PID15_ID

  Identifier for field PID-15

  See Also:
    Constant Field Values

### PID16_ID

    static final java.lang.String PID16_ID

  Identifier for field PID-16

  See Also:
    Constant Field Values

### PID17_ID

    static final java.lang.String PID17_ID

  Identifier for field PID-17

  See Also:
    Constant Field Values

### PID18_ID

    static final java.lang.String PID18_ID

  Identifier for field PID-18

  See Also:
    Constant Field Values

### PID19_ID

    static final java.lang.String PID19_ID

  Identifier for field PID-19

  See Also:
    Constant Field Values

### PID20_ID

    static final java.lang.String PID20_ID

  Identifier for field PID-20

  See Also:
    Constant Field Values

### PID21_ID

    static final java.lang.String PID21_ID

  Identifier for field PID-21

  See Also:
    Constant Field Values

### PID22_ID

    static final java.lang.String PID22_ID

  Identifier for field PID-22

  See Also:
    Constant Field Values

### PID23_ID

    static final java.lang.String PID23_ID

  Identifier for field PID-23

  See Also:
    Constant Field Values

### PID24_ID

    static final java.lang.String PID24_ID

  Identifier for field PID-24

  See Also:
    Constant Field Values

### PID25_ID

    static final java.lang.String PID25_ID

  Identifier for field PID-25

  See Also:
    Constant Field Values

### PID26_ID

    static final java.lang.String PID26_ID

  Identifier for field PID-26

  See Also:
    Constant Field Values

### PID27_ID

    static final java.lang.String PID27_ID

  Identifier for field PID-27

  See Also:
    Constant Field Values

### PID28_ID

    static final java.lang.String PID28_ID

  Identifier for field PID-28

  See Also:
    Constant Field Values

### PID29_ID

    static final java.lang.String PID29_ID

  Identifier for field PID-29

  See Also:
    Constant Field Values

### PID30_ID

    static final java.lang.String PID30_ID

  Identifier for field PID-30

  See Also:
    Constant Field Values

### PID31_ID

    static final java.lang.String PID31_ID

  Identifier for field PID-31

  See Also:
    Constant Field Values

### PID32_ID

    static final java.lang.String PID32_ID

  Identifier for field PID-32

  See Also:
    Constant Field Values

### PID33_ID

    static final java.lang.String PID33_ID

  Identifier for field PID-33

  See Also:
    Constant Field Values

### PID34_ID

    static final java.lang.String PID34_ID

  Identifier for field PID-34

  See Also:
    Constant Field Values

### PID35_ID

    static final java.lang.String PID35_ID

  Identifier for field PID-35

  See Also:
    Constant Field Values

### PID36_ID

    static final java.lang.String PID36_ID

  Identifier for field PID-36

  See Also:
    Constant Field Values

### PID37_ID

    static final java.lang.String PID37_ID

  Identifier for field PID-37

  See Also:
    Constant Field Values

### PID38_ID

    static final java.lang.String PID38_ID

  Identifier for field PID-38

  See Also:
    Constant Field Values

### PID39_ID

    static final java.lang.String PID39_ID

  Identifier for field PID-39

  See Also:
    Constant Field Values

### UNIQUE_ID

    static final java.lang.String UNIQUE_ID

  ExternalIdentifier name for uniqueId

  See Also:
    Constant Field Values

### URI

    static final java.lang.String URI

  Slot name for URI

  See Also:
    Constant Field Values

### CODING_SCHEME

    static final java.lang.String CODING_SCHEME

  Slot name for code scheme slots in Classificaitons

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD